Get test plan folder tree
GET
/testplanfolders/getTreeGet test plan folder tree for a specific project
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlanFoldersApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlanFoldersApi(config);
const result = await api.getTestPlanFolderTree({ "project": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/testplanfolders/getTree?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | integer | Yes | Project ID |
Response
Section titled “Response”200 — List of test plan folders
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | — |
[].title |
string | Yes | — |
[].testplancount |
number | No | — |
[].parent_id |
number | Yes | — |
[].description |
string | No | — |
[].created_by |
number | No | — |
[].children |
Array of Folder Tree | Yes | — |
[]Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |